## Function `join( separator, words, ... )`

Description:
  Joins multiple values into a string, with a given separator between each pair.

Parameters:
  `separator` (String)
    string to insert between adjacent words
  `words` (Object, one or more)
    one or more values to join

Return Value (String):
  input values joined together with `separator`

Examples:
  - `join("<->", "alpha", "beta", "gamma") = "alpha<->beta<->gamma"`
  - `join(" ", 1, "brown", "mouse") = "1 brown mouse"`

Signature:
  `String join(String, Object...)`